import { IacFileParsed, IacFileData, ParsingResults } from './types';
import { CustomError } from '../../../../lib/errors';
export declare function parseFiles(filesData: IacFileData[]): Promise<ParsingResults>;
export declare function tryParseIacFile(fileData: IacFileData): IacFileParsed[];
export declare class UnsupportedFileTypeError extends CustomError {
    constructor(fileType: string);
}
export declare class InvalidJsonFileError extends CustomError {
    constructor(filename: string);
}
export declare class InvalidYamlFileError extends CustomError {
    constructor(filename: string);
}
export declare class FailedToDetectJsonFileError extends CustomError {
    constructor(filename: string);
}
